| Home | Libraries | People | FAQ | More

#### http::dynamic_body

A dynamic message body represented by a `multi_buffer`.

##### Synopsis

Defined in header `<boost/beast/http/dynamic_body.hpp>`

    using dynamic_body = basic_dynamic_body< multi_buffer >;

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Static Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

This body uses a DynamicBuffer as a memory-based container for holding message payloads. Messages using this body type may be serialized and parsed.

##### Description

Meets the requirements of Body.